services:
  prometheus:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    container_name: prometheus
    image: prom/prometheus:v3.9.1
    ports:
      - 9090:9090
    networks:
      - ip4net
    volumes:
      - ${MONITORING_PATH}/prometheus/config:/etc/prometheus
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.prometheus.rule=Host(`prometheus.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.prometheus.entrypoints=https"
      - "traefik.http.routers.prometheus.tls=true"
